Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.util
Class UserBean

    java.lang.Object
      com.jaspersoft.jasperserver.util.UserBean

    public class UserBean

extends java.lang.Object

Version:
  $Id: UserBean.java 8408 2007-05-29 23:29:12Z melih $
Author:
  tkavanagh

Constructor Summary
`UserBean()`

Method Summary
`java.lang.String` | `getEmailAddress()`
`boolean` | `getEnabled()`
`boolean` | `getExternallyDefined()`
`java.lang.String` | `getFullName()`
`java.lang.String` | `getPassword()`
`RoleBean[]` | `getRoleSet()`
`java.lang.String` | `getUsername()`
`void` | `setEmailAddress(java.lang.String emailAddress)`
`void` | `setEnabled(boolean enabled)`
`void` | `setExternallyDefined(boolean externallyDefined)`
`void` | `setFullName(java.lang.String fullName)`
`void` | `setPassword(java.lang.String password)`
`void` | `setRoleSet(RoleBean[] roleSet)`
`void` | `setUsername(java.lang.String username)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserBean

    public UserBean()

Method Detail

### getEmailAddress

    public java.lang.String getEmailAddress()

### setEmailAddress

    public void setEmailAddress(java.lang.String emailAddress)

### getEnabled

    public boolean getEnabled()

### setEnabled

    public void setEnabled(boolean enabled)

### getExternallyDefined

    public boolean getExternallyDefined()

### setExternallyDefined

    public void setExternallyDefined(boolean externallyDefined)

### getFullName

    public java.lang.String getFullName()

### setFullName

    public void setFullName(java.lang.String fullName)

### getPassword

    public java.lang.String getPassword()

### setPassword

    public void setPassword(java.lang.String password)

### getRoleSet

    public RoleBean[] getRoleSet()

### setRoleSet

    public void setRoleSet(RoleBean[] roleSet)

### getUsername

    public java.lang.String getUsername()

### setUsername

    public void setUsername(java.lang.String username)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.